Debian Bug report logs - #402589
RFH: plt-scheme -- PLT scheme programming environment

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ari Pollak <ari@debian.org>

Date: Mon, 11 Dec 2006 14:33:01 UTC

Severity: normal

Fixed in version 4.2.4-2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#402589; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ari Pollak <ari@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: drscheme -- PLT Scheme Programming Environment
Date: Mon, 11 Dec 2006 09:13:11 -0500
Package: wnpp
Severity: normal

I intend to orphan the drscheme package. I have neither the time nor the
expertise to properly maintain this package or fix the outstanding bugs
related to the software itself. I've fixed all outstanding RC bugs,
so the package is in a somewhat usable state at the moment.
I will make a best effort to fix any new RC bugs that pop up until
someone adopts this package, but I can't guarantee anything.

The package description is:
 This is a Scheme Programming Environment, designed for use within
 an educational setting.  The faculty and staff at Rice University
 developed this package to be used in programming curricula, as a
 supplement to mathematics courses, or for general programming
 instruction in a liberal arts setting.
 .
 It includes its own IDE (which runs under X) and is similar in
 some respects to Emacs (most noticeably in its keybindings).
 .
 It has an integrated help system and can run one of four
 modes (beginning, intermediate, advanced, complete).  Each
 level exposes successively more features and options to the
 user.  The goal of this configuration is to protect novice users
 from the more arcane behavior of Scheme under certain cases.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#402589; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ari Pollak" <ari@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 402589@bugs.debian.org (full text, mbox):

From: "Ari Pollak" <ari@debian.org>
To: 402589@bugs.debian.org
Date: Mon, 11 Dec 2006 09:44:03 -0500 (EST)
I should also note that drscheme is currently being maintained in the
pkg-plt-scheme alioth project, so I'll add administrative priveleges to
whoever adopts the package.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#402589; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francois-Denis Gonthier <neumann@lostwebsite.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 402589@bugs.debian.org (full text, mbox):

From: Francois-Denis Gonthier <neumann@lostwebsite.net>
To: 402589@bugs.debian.org
Subject: pkg-plg-scheme = no activity
Date: Sun, 22 Jul 2007 21:14:55 -0400
[Message part 1 (text/plain, inline)]
While investigating this RFA, I've been to pkg-plt-scheme on Alioth and, 
except for the project member list, saw no activity at all.

What is going on with the drscheme package?
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `RFA: drscheme -- PLT Scheme Programming Environment' from `O: drscheme -- PLT Scheme Programming Environment'. Request was from Francois-Denis Gonthier <neumann@lostwebsite.net> to control@bugs.debian.org. (Mon, 13 Aug 2007 01:51:05 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: drscheme -- PLT Scheme Programming Environment' from `RFA: drscheme -- PLT Scheme Programming Environment'. Request was from Francois-Denis Gonthier <neumann@lostwebsite.net> to control@bugs.debian.org. (Mon, 13 Aug 2007 02:06:02 GMT) Full text and rfc822 format available.

Owner recorded as Francois-Denis Gonthier <neumann@lostwebsite.net>. Request was from Francois-Denis Gonthier <neumann@lostwebsite.net> to control@bugs.debian.org. (Mon, 13 Aug 2007 02:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Francois-Denis Gonthier <neumann@lostwebsite.net>:
Bug#402589; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ari Pollak <ari@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Francois-Denis Gonthier <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #26 received at 402589@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: Artem Baguinski <artm@v2.nl>
Cc: 402589@bugs.debian.org
Subject: Re: mzscheme debian packages
Date: Wed, 21 Nov 2007 11:58:26 -0500
The package is currently orphaned (though I will fix a major problem if
one arises), and nobody has stepped up with a firm commitment to
actually continue maintaining it. There have been a few vague offers,
but nobody has actually sat down to do the work. If you feel comfortable
enough, you can start working on updating the package currently in
subversion at svn://svn.debian.org/svn/pkg-plt-scheme/drscheme/trunk.
Note that there are some outstanding items in the TODO.Debian and the
bug tracker that could be fixed fairly easily.
I'd be glad to help you out with questions along the way, but note that
this is slightly more complex than the average Debian package.
Eventually if there's enough interest, the pkg-plt-scheme project can be
used to coordinate all of the packages that depend on PLT Scheme (though
hopefully not that depend on the drscheme/mzscheme libraries, since
those change names with every version).

On Wed, 2007-11-21 at 16:01 +0100, Artem Baguinski wrote:
> Hello Ari
> 
> I am one of developers of fluxus, a live graphics programming
> environment that uses mzscheme ( http://www.pawfal.org/fluxus/ )
> 
> I'd like to package fluxus for debian, but since we depend on mzscheme
> 371 or later I was wondering if you had plans upgrading the
> mzscheme/drscheme package to the latest plt release?
> 
> If not, or if it has low priority for you, would you consider helping
> me packaging mzscheme 371? I have limited experience with debian
> packaging and would like to learn more...
> 





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Francois-Denis Gonthier <neumann@lostwebsite.net>:
Bug#402589; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Artem Baguinski" <artm@v2.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Francois-Denis Gonthier <neumann@lostwebsite.net>. Full text and rfc822 format available.

Message #31 received at 402589@bugs.debian.org (full text, mbox):

From: "Artem Baguinski" <artm@v2.nl>
To: "Ari Pollak" <ari@debian.org>
Cc: 402589@bugs.debian.org
Subject: Re: mzscheme debian packages
Date: Thu, 22 Nov 2007 13:01:39 +0100
i guess i'll just have to give it a try then.

At the moment I refreshed the patches, removed a couple of obsolete
ones and made it buildable. I can build and install the binary
packages, but I get tons of messages from lintian and dpkg-shlibdeps
some of which make no sense to me. But I get the same messages when
building 360, so may be it's something wrong with my sid chroot.

what's the best way to let you have a look at the state I'm at? I
could make svn diff of the ./debian directory and direct you to the
original tarball... Or just send you the drscheme_371-1_i386.build
file ?

On Nov 21, 2007 5:58 PM, Ari Pollak <ari@debian.org> wrote:
> The package is currently orphaned (though I will fix a major problem if
> one arises), and nobody has stepped up with a firm commitment to
> actually continue maintaining it. There have been a few vague offers,
> but nobody has actually sat down to do the work. If you feel comfortable
> enough, you can start working on updating the package currently in
> subversion at svn://svn.debian.org/svn/pkg-plt-scheme/drscheme/trunk.
> Note that there are some outstanding items in the TODO.Debian and the
> bug tracker that could be fixed fairly easily.
> I'd be glad to help you out with questions along the way, but note that
> this is slightly more complex than the average Debian package.
> Eventually if there's enough interest, the pkg-plt-scheme project can be
> used to coordinate all of the packages that depend on PLT Scheme (though
> hopefully not that depend on the drscheme/mzscheme libraries, since
> those change names with every version).
>
>
> On Wed, 2007-11-21 at 16:01 +0100, Artem Baguinski wrote:
> > Hello Ari
> >
> > I am one of developers of fluxus, a live graphics programming
> > environment that uses mzscheme ( http://www.pawfal.org/fluxus/ )
> >
> > I'd like to package fluxus for debian, but since we depend on mzscheme
> > 371 or later I was wondering if you had plans upgrading the
> > mzscheme/drscheme package to the latest plt release?
> >
> > If not, or if it has low priority for you, would you consider helping
> > me packaging mzscheme 371? I have limited experience with debian
> > packaging and would like to learn more...
> >
>
>



-- 
cheers,
artm

http://lab.v2.nl/




Changed Bug title to `O: drscheme -- PLT Scheme Programming Environment' from `ITA: drscheme -- PLT Scheme Programming Environment'. Request was from Francois-Denis Gonthier <neumann@lostwebsite.net> to control@bugs.debian.org. (Tue, 22 Jan 2008 01:39:01 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Francois-Denis Gonthier <neumann@lostwebsite.net>. Request was from Francois-Denis Gonthier <neumann@lostwebsite.net> to control@bugs.debian.org. (Tue, 22 Jan 2008 01:39:02 GMT) Full text and rfc822 format available.

Changed Bug title to `RFH: drscheme -- PLT scheme programming environment' from `O: drscheme -- PLT Scheme Programming Environment'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2008 16:48:02 GMT) Full text and rfc822 format available.

Changed Bug title to `RFH: plt-scheme -- PLT scheme programming environment' from `RFH: drscheme -- PLT scheme programming environment'. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Fri, 01 May 2009 20:09:08 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 04 Dec 2011 12:31:48 GMT) Full text and rfc822 format available.

Notification sent to Ari Pollak <ari@debian.org>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 12:32:18 GMT) Full text and rfc822 format available.

Message #44 received at 402589-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 599957-done@bugs.debian.org,402589-done@bugs.debian.org,
Cc: plt-scheme@packages.debian.org, plt-scheme@packages.qa.debian.org
Subject: Bug#650917: Removed package(s) from unstable
Date: Sun, 04 Dec 2011 12:27:31 +0000
Version: 4.2.4-2+rm

Dear submitter,

as the package plt-scheme has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/650917

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jan 2012 07:41:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:34:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.